<?php
if ( !function_exists ('apustheme_custom_styles') ) {
	function apustheme_custom_styles() {
		global $post;	
		
		ob_start();	
		?>
		
		<!-- ******************************************************************** -->
		<!-- * Theme Options Styles ********************************************* -->
		<!-- ******************************************************************** -->
			
		<style>
			
			

			/* check main color */ 
			<?php if ( apustheme_get_config('main_color') != "" ) : ?>
				.apus-page-loading #loader,
				.apus-page-loading #loader:before,
				.apus-page-loading #loader:after{
				  border-color: <?php echo esc_html( apustheme_get_config('main_color') ) ?> transparent transparent;
				}
				/* seting border color main */
				.widget-social .social.style2 a:hover, .widget-social .social.style2 a:active,
				.owl-controls .owl-dots .owl-dot,
				.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover,
				.tagcloud a:focus, .tagcloud a:hover, #commentform .form-submit > input, .woocommerce .quantity input.minus:hover, .woocommerce-page .quantity input.minus:hover,
				.woocommerce .quantity input.plus:hover, .woocommerce-page .quantity input.plus:hover
				{
					border-color: <?php echo esc_html( apustheme_get_config('main_color') ) ?>;
				}

				/* seting background main */
				.apus-footer .footer-builder-wrapper.line-red .apus_custom_menu .title::before, .apus-footer .footer-builder-wrapper.line-red .apus_custom_menu .widgettitle::before, .apus-footer .footer-builder-wrapper.line-red .widget .title::before, .apus-footer .footer-builder-wrapper.line-red .widget .widgettitle::before, .apus-footer .footer-builder-wrapper.line-red .widget-contact-info .title::before, .apus-footer .footer-builder-wrapper.line-red .widget-contact-info .widgettitle::before,
				.post-grid-3 .time-post,
				.widget-offer .price,
				.widget-banner-sale .title::before,
				.banner-sale-item .percent,
				.banner-sale-item:hover .bottom-inner,
				.widget-social .social.style2 a:hover, .widget-social .social.style2 a:active,
				.widget_action .title::before,
				.banner-countdown-widget .title::before,
				.box-center-new .feature-box:hover,
				.post-grid-2 a.post-thumbnail::before,
				.widget-blog .title::before,
				.heading-title .title::before,
				.team-item .banner-img::before,
				.owl-controls .owl-dots .owl-dot.active,
				.apus_custom_menu.style1 .menu li a::before,
				.apus-footer .apus_custom_menu.style1 .title::before, .apus-footer .apus_custom_menu.style1 .widgettitle::before, .apus-footer .widget .title::before, .apus-footer .widget .widgettitle::before, .apus-footer .widget-contact-info .title::before, .apus-footer .widget-contact-info .widgettitle::before,
				.woocommerce #respond input#submit, .woocommerce button.button, .woocommerce input.button,
				#back-to-top, #back-to-top:hover, .widget-newletter.style1 .btn, .tagcloud a:focus, .tagcloud a:hover,
				#commentform .form-submit > input, .archive-shop div.product .information .cart button,
				.apus-footer .footer-builder-wrapper.line-gren .apus_custom_menu .title:before, .apus-footer .footer-builder-wrapper.line-gren .apus_custom_menu .widgettitle:before, .apus-footer .footer-builder-wrapper.line-gren .widget .title:before, .apus-footer .footer-builder-wrapper.line-gren .widget .widgettitle:before, .apus-footer .footer-builder-wrapper.line-gren .widget-contact-info .title:before, .apus-footer .footer-builder-wrapper.line-gren .widget-contact-info .widgettitle:before
				{
					background: <?php echo esc_html( apustheme_get_config('main_color') ) ?>;
				}
				/* setting color*/
				.apus-footer .footer-builder-wrapper.line-red .widget-newletter.style4 .title,
				.contact-info.style4 .icon,
				.box-step-order .feature-box:hover .ourservice-heading,
				#apus-header.header-v2.bg-opacity-dark .mini-cart,
				#apus-header.header-v2.bg-opacity-dark .navbar-nav.megamenu > li.active > a, #apus-header.header-v2.bg-opacity-dark .navbar-nav.megamenu > li:hover > a,
				.nav-tabs-selector ul.nav > li:hover > a, .nav-tabs-selector ul.nav > li.active > a, .nav-tabs-selector ul.nav > li:focus > a,
				.apus-topbar a:hover, .post-grid:hover .entry-content .entry-title a, .apus-copyright a,
				.apus-topbar .textwidget .phone-contact,  .cart-icon .count, #apus-header .header-main .navbar-nav.megamenu li:hover > a, 
				#apus-header .header-main .navbar-nav.megamenu li:active > a, #apus-header .header-main .navbar-nav.megamenu li.active > a, 
				.nav-tabs-selector ul.nav.style1 a:hover, .nav-tabs-selector ul.nav.style1 a:focus, .product-block.grid:hover .name a,
				.apus-footer a:hover, .apus-footer a:focus, .apus-footer a:active, .nav-tabs-selector ul.nav.style2 a:hover, .nav-tabs-selector ul.nav.style2 a:focus,
				.sidebar .widget .widget-title, .sidebar .widget .widget-title span, .apus-sidebar .widget .widget-title, .apus-sidebar .widget .widget-title span,
				.sidebar .search-form .input-group-btn i, .apus-sidebar .search-form .input-group-btn i, .single-post .entry-head .post-tag i, a:hover, a:focus,
				.widget_archive ul li:hover, #commentform .form-submit > input:hover, .archive-shop div.product .information .cart button:hover,
				.tabs-v1 .nav-tabs li:focus > a:focus, .tabs-v1 .nav-tabs li:focus > a:hover, .tabs-v1 .nav-tabs li:focus > a:active, .tabs-v1 .nav-tabs li:focus > a, 
				.tabs-v1 .nav-tabs li:hover > a:focus, .tabs-v1 .nav-tabs li:hover > a:hover, .tabs-v1 .nav-tabs li:hover > a:active, .tabs-v1 .nav-tabs li:hover > a, 
				.tabs-v1 .nav-tabs li.active > a:focus, .tabs-v1 .nav-tabs li.active > a:hover, .tabs-v1 .nav-tabs li.active > a:active, .tabs-v1 .nav-tabs li.active > a,
				#apus-header .top-cart .name a:hover,
				.breadcrumb > li:after, .widget-element-ourstore .store-item:hover .media-heading, .widget-features-box.style_border .feature-box .fbox-content .ourservice-heading, body.kc-css-system .kc-css-13990.kc_title, body.kc-css-system .kc-css-13990 .kc_title, body.kc-css-system .kc-css-13990 .kc_title a.kc_title_link, .archive-shop div.product .information .compare:hover, .archive-shop div.product .information .compare:active, .archive-shop div.product .information .add_to_wishlist:hover, .archive-shop div.product .information .add_to_wishlist:active, .archive-shop div.product .information .yith-wcwl-wishlistexistsbrowse > a:hover, .archive-shop div.product .information .yith-wcwl-wishlistexistsbrowse > a:active, .archive-shop div.product .information .yith-wcwl-wishlistaddedbrowse > a:hover, .archive-shop div.product .information .yith-wcwl-wishlistaddedbrowse > a:active
				{
					color: <?php echo esc_html( apustheme_get_config('main_color') ) ?>;
				}
				/* setting border color*/
				.product-block.grid.grid-v3 .block-inner::before,
				.archive-shop div.product .information .cart button{
					border-color: <?php echo esc_html( apustheme_get_config('main_color') ) ?> !important;
				}
				/* setting important*/
				.archive-shop div.product .information .woosw-btn:hover,
				.archive-shop div.product .information .woosw-btn:focus,
				.archive-shop div.product .information .woosw-added,
				.product-block .woosw-btn:hover,
				.product-block .woosw-btn:focus,
				.product-block .woosw-added,
				.text-theme,
				.readmore,
				.breadcrumb > li + li::before{
					color: <?php echo esc_html( apustheme_get_config('main_color') ) ?> !important;
				}

				.woocommerce .quantity input.minus:hover, .woocommerce-page .quantity input.minus:hover, .woocommerce .quantity input.plus:hover, 
				.woocommerce-page .quantity input.plus:hover
				{
					background: <?php echo esc_html( apustheme_get_config('main_color') ) ?> !important;
				}
				.widget-offer .price::before{
					border-color:<?php echo esc_html( apustheme_get_config('main_color') ) ?> transparent transparent <?php echo esc_html( apustheme_get_config('main_color') ) ?>;
				}
				body.rtl .widget-offer .price::before{
					border-color:<?php echo esc_html( apustheme_get_config('main_color') ) ?> <?php echo esc_html( apustheme_get_config('main_color') ) ?> transparent transparent ;
				}
				.post-grid-3 .time-post::before {
					border-color: transparent transparent <?php echo esc_html( apustheme_get_config('main_color') ) ?> <?php echo esc_html( apustheme_get_config('main_color') ) ?>;
				}
			<?php endif; ?>

			/* button */
			<?php if ( apustheme_get_config('button_color') != "" ) : ?>
				.product-block.grid.grid-v3 .added_to_cart, .product-block.grid.grid-v3 .btn, .product-block.grid.grid-v3 .button,
				.btn-link2{
					color: <?php echo esc_html( apustheme_get_config('button_color') ) ?>;
				}
				.woosw-actions #woosw_copy_btn,
				table.woosw-items .add-cart a,
				.btn-link2:hover,
				.btn-link2:focus,
				.widget-newletter.style4 .btn,
				.btn-theme{
					background: <?php echo esc_html( apustheme_get_config('button_color') ) ?>;
					border-color: <?php echo esc_html( apustheme_get_config('button_color') ) ?>;
				}
			<?php endif; ?>

			<?php if ( apustheme_get_config('button_hover_color') != "" ) : ?>
				.product-block.grid.grid-v3 .added_to_cart:hover, .product-block.grid.grid-v3 .added_to_cart:focus, .product-block.grid.grid-v3 .added_to_cart,
				.widget-newletter.style4 .btn:hover,
				.widget-newletter.style4 .btn:focus,
				.btn-theme:focus,
				.btn-theme:hover{
					background: <?php echo esc_html( apustheme_get_config('button_hover_color') ) ?>;
					border-color: <?php echo esc_html( apustheme_get_config('button_hover_color') ) ?>;
				}
				.woosw-actions #woosw_copy_btn:hover,
				.woosw-actions #woosw_copy_btn:focus,
				table.woosw-items .add-cart a:focus,
				table.woosw-items .add-cart a:hover{
					color: <?php echo esc_html( apustheme_get_config('button_hover_color') ) ?>;
					border-color: <?php echo esc_html( apustheme_get_config('button_hover_color') ) ?>;
				}
			<?php endif; ?>
			/* Custom CSS */
			<?php if ( apustheme_get_config('custom_css') != "" ) : ?>
				<?php echo apustheme_get_config('custom_css') ?>
			<?php endif; ?>

		</style>

	<?php
		$content = ob_get_clean();
		$content = str_replace(array("\r\n", "\r"), "\n", $content);
		$lines = explode("\n", $content);
		$new_lines = array();
		foreach ($lines as $i => $line) {
			if (!empty($line)) {
				$new_lines[] = trim($line);
			}
		}
		
		echo implode($new_lines);
	}
}

?>
<?php add_action( 'wp_head', 'apustheme_custom_styles', 99 ); ?>