<?php

$atts  = array_merge( array(
	'title'	=> '',
	'subtitle' => '',
	'des' => '',
	'style' => ''
), $atts);
extract( $atts );
?>
<div class="widget widget_action <?php echo esc_attr($item_style); ?>">
	<?php if (isset($subtitle) && $subtitle): ?>
		<div class="subtitle"><?php echo trim($subtitle); ?></div>
	<?php endif; ?>
	<?php if ($title!=''): ?>
	<?php if (isset($link) && $link && ($item_style == 'style2')): ?>
		<a class="btn btn-theme" href="<?php echo esc_attr($link); ?>"><?php echo esc_html__('Read More','butcher'); ?></a>
	<?php endif; ?>
	<h3 class="title">
	    <?php echo trim( $title ); ?>
	</h3>
	<?php endif; ?>
	<?php if (isset($des) && $des): ?>
		<div class="des"><?php echo trim($des); ?></div>
	<?php endif; ?>
	<?php if (isset($link) && $link && ($item_style != 'style2')): ?>
		<a class="btn btn-theme" href="<?php echo esc_attr($link); ?>"><?php echo esc_html__('Read More','butcher'); ?></a>
	<?php endif; ?>
</div>