<?php
$atts  = array_merge( array(
	'title'	=> '',
	'subtitle' => '',
	'des' => '',
	'style' => ''
), $atts);
extract( $atts );
?>
<div class="banner-deal">
	<div class="row flex-middle-sm">
		<div class="col-xs-12 col-sm-6">
			<?php $img = wp_get_attachment_image_src($image, 'full'); ?>
			<?php if (isset($img[0]) && $img[0]) { ?>
		    	<img src="<?php echo esc_url_raw($img[0]);?>" alt="<?php esc_attr_e('image', 'butcher'); ?>" />
			<?php } ?>
		</div>
		<div class="col-xs-12 col-sm-6">
			<?php if (isset($subtitle) && $subtitle): ?>
				<div class="subtitle"><?php echo trim($subtitle); ?></div>
			<?php endif; ?>
			<?php if ($title!=''): ?>
			<h3 class="title">
			    <?php echo trim( $title ); ?>
			</h3>
			<?php endif; ?>
			<?php if (isset($description) && $description): ?>
				<div class="des"><?php echo trim($description); ?></div>
			<?php endif; ?>
			<?php if (isset($link) && $link): ?>
				<a class="btn-link2" href="<?php echo esc_attr($link); ?>"><?php echo esc_html__('Read More','butcher'); ?></a>
			<?php endif; ?>
		</div>
	</div>
</div>