<?php

$atts  = array_merge( array(
	'title'	=> '',
	'features' => '',
	'style' => '',
	'columns' => ''
), $atts);
extract( $atts );

if ( !empty($features) ):
?>
	<?php
		if($style=='default'){
	?>
	<div class="widget widget-features-box <?php echo esc_attr($style); ?>">
		<?php if ($title!=''): ?>
        <h3 class="widget-title">
            <span><?php echo esc_attr( $title ); ?></span>
	    </h3>
	    <?php endif; ?>
	    <div class="content">
		    <?php if($columns > 1) echo '<div class="row">'; ?>
			<?php foreach ($features as $item): ?>
				<?php if($columns > 1) echo '<div class="col-md-'.(12/$columns).'">'; ?>
				<div class="feature-box media">
					<div class="media-left">
						<?php if ( isset($item->image) && $item->image ): ?>
							<?php $img = wp_get_attachment_image_src($item->image,'full'); ?>
							<?php if (isset($img[0]) && $img[0]) { ?>
						    	<div class="fbox-image">
						    		<div class="inner">
						    			<?php apustheme_display_image($img); ?>
						    		</div>
						    	</div>
							<?php } ?>
						<?php else: ?>
							<?php if (isset($item->icon) && $item->icon) { ?>
						        <div class="fbox-icon">
						        	<div class="inner">
						            	<i class="fa <?php echo esc_attr($item->icon); ?>"></i>
						            </div>
						        </div>
						    <?php } ?>
						<?php endif;?>
				    </div>
				    <div class="fbox-content media-body">  
				        <h3 class="ourservice-heading"><?php echo trim($item->title); ?></h3>                     
				        <?php if (isset($item->description) && trim( $item->description )!='') { ?>
				            <p class="description"><?php echo trim( $item->description );?></p>  
				        <?php } ?>
				    </div>      
				</div>
				<?php if($columns > 1) echo '</div>'; ?>
			<?php endforeach; ?>
			<?php if($columns > 1) echo '</div>'; ?>
		</div>
	</div>
	<?php
		}elseif($style == 'style_center'){
	?>
		<div class="widget box-center-new <?php echo esc_attr($style); ?>">
			<?php if ($title!=''): ?>
	        <h3 class="widget-title">
	            <?php echo esc_attr( $title ); ?>
		    </h3>
		    <?php endif; ?>
		    <div class="content">
			    <?php if($columns > 1) echo '<div class="row">'; ?>
				<?php foreach ($features as $item): ?>
					<?php if($columns > 1) echo '<div class="col-md-'.(12/$columns).'">'; ?>
					<div class="feature-box">

						<div class="feature-box-img">
							<?php if ( isset($item->image) && $item->image ): ?>
								<?php $img = wp_get_attachment_image_src($item->image,'full'); ?>
								<?php $image_hover = wp_get_attachment_image_src($item->image_hover,'full'); ?>
								<?php if (isset($img[0]) && $img[0]) { ?>
							    	<div class="fbox-icon">
							    		<div class="image">
							    			<?php apustheme_display_image($img); ?>
							    		</div>
						    			<?php if (isset($image_hover[0]) && $image_hover[0]) { ?>
							    			<div class="image-hover">
							    				<?php apustheme_display_image($image_hover); ?>
							    			</div>
						    			<?php } ?>
							    	</div>
								<?php } ?>
							<?php else: ?>
								<?php if (isset($item->icon) && $item->icon) { ?>
							        <div class="fbox-icon">
							            <i class="<?php echo esc_attr($item->icon); ?>"></i>
							        </div>
							    <?php } ?>
							<?php endif;?>
					    </div>

						<div class="fbox-content">  
					        <h3 class="ourservice-heading"><?php echo trim($item->title); ?></h3>                     
					        <?php if (isset($item->description) && trim( $item->description )!='') { ?>
					            <div class="description"><?php echo trim( $item->description );?></div>  
					        <?php } ?>
					    </div> 
						
					</div>
					<?php if($columns > 1) echo '</div>'; ?>
				<?php endforeach; ?>
				<?php if($columns > 1) echo '</div>'; ?>
			</div>
		</div>
	<?php
		}elseif($style == 'style_step'){
	?>
		<div class="widget box-step-order <?php echo esc_attr($style); ?>">
			<?php if ($title!=''): ?>
	        <h3 class="widget-title">
	            <?php echo esc_attr( $title ); ?>
		    </h3>
		    <?php endif; ?>
		    <div class="content">
			    <?php if($columns > 1) echo '<div class="row">'; ?>
				<?php foreach ($features as $item): ?>
					<?php if($columns > 1) echo '<div class="col-xs-12 col-sm-'.(12/$columns).'">'; ?>
					<div class="feature-box">

						<div class="feature-box-img">
							<?php if ( isset($item->image) && $item->image ): ?>
								<?php $img = wp_get_attachment_image_src($item->image,'full'); ?>
								<?php if (isset($img[0]) && $img[0]) { ?>
							    	<div class="fbox-icon">
							    		<div class="image">
							    			<?php apustheme_display_image($img); ?>
							    		</div>
							    	</div>
								<?php } ?>
							<?php else: ?>
								<?php if (isset($item->icon) && $item->icon) { ?>
							        <div class="fbox-icon">
							            <i class="<?php echo esc_attr($item->icon); ?>"></i>
							        </div>
							    <?php } ?>
							<?php endif;?>
					    </div>

						<div class="fbox-content">  
					        <h3 class="ourservice-heading"><?php echo trim($item->title); ?></h3>                     
					        <?php if (isset($item->description) && trim( $item->description )!='') { ?>
					            <div class="description"><?php echo trim( $item->description );?></div>  
					        <?php } ?>
					    </div> 
						
					</div>
					<?php if($columns > 1) echo '</div>'; ?>
				<?php endforeach; ?>
				<?php if($columns > 1) echo '</div>'; ?>
			</div>
		</div>
	<?php
		}else{
	?>
		<div class="widget widget-features-box <?php echo esc_attr($style); ?>">
			<?php if ($title!=''): ?>
	        <h3 class="widget-title">
	            <span><?php echo esc_attr( $title ); ?></span>
		    </h3>
		    <?php endif; ?>
		    <div class="content">
			    <?php if($columns > 1) echo '<div class="row">'; ?>
				<?php foreach ($features as $item): ?>
					<?php if($columns > 1) echo '<div class="col-md-'.(12/$columns).'">'; ?>
					<div class="feature-box">
						
						<div class="fbox-content">  
					        <h3 class="ourservice-heading"><?php echo trim($item->title); ?></h3>                     
					        <?php if (isset($item->description) && trim( $item->description )!='') { ?>
					            <div class="description"><?php echo trim( $item->description );?></div>  
					        <?php } ?>
					    </div> 
					    <div class="feature-box-img">
							<?php if ( isset($item->image) && $item->image ): ?>
								<?php $img = wp_get_attachment_image_src($item->image,'full'); ?>
								<?php if (isset($img[0]) && $img[0]) { ?>
							    	<div class="fbox-image">
							    		<div class="inner">
							    			<?php apustheme_display_image($img); ?>
							    		</div>
							    	</div>
								<?php } ?>
							<?php else: ?>
								<?php if (isset($item->icon) && $item->icon) { ?>
							        <div class="fbox-icon">
							        	<div class="inner">
							            	<i class="fa <?php echo esc_attr($item->icon); ?>"></i>
							            </div>
							        </div>
							    <?php } ?>
							<?php endif;?>
					    </div>
					</div>
					<?php if($columns > 1) echo '</div>'; ?>
				<?php endforeach; ?>
				<?php if($columns > 1) echo '</div>'; ?>
			</div>
		</div>
	<?php
		}
	?>
<?php endif; ?>