<?php

$atts  = array_merge( array(
	'title'	=> '',
	'description' => '',
	'style' => ''
), $atts);
extract( $atts );

?>
<div class="widget widget-newletter <?php echo esc_attr($style); ?>" >
	<div class="row <?php echo esc_attr((!empty($title) ? 'flex-middle':'')); ?>">
		<div class="left-inner col-xs-12 col-sm-<?php echo esc_attr((!empty($title) ? 5:12 )); ?>">
	    	<?php if (isset($title) && $title): ?>
	    		<h3 class="title"><?php echo esc_attr($title); ?></h3>
	    	<?php endif; ?>
	    	<?php if (isset($subtitle) && $subtitle): ?>
	    		<div class="subtitle"><?php echo esc_attr($subtitle); ?></div>
	    	<?php endif; ?>
	    </div>
	    <div class="col-xs-12 col-sm-<?php echo esc_attr((!empty($title) ? 7:12 )); ?>"> 
	    	<div class="widget-content">
				<?php
					if ( function_exists( 'mc4wp_show_form' ) ) {
					  	try {
					  	    $form = mc4wp_get_form(); 
							mc4wp_show_form( $form->ID );
						} catch( Exception $e ) {
						 	esc_html_e( 'Please create a newsletter form from Mailchip plugins', 'butcher' );	
						}
					}
				?>
			</div>
		</div>
	</div>
</div>