<?php
$atts  = array_merge( array(
	'columns'	=> 3,
), $atts);
extract( $atts );
if ( !empty($offers) && is_array($offers) ):
?>
	<div class="widget-offer">
		<?php foreach ($offers as $offer) { ?>
		<div class="list-offer">
			<div class="item">
				<div class="offer-item row flex-middle-sm">
					<div class="col-xs-5 col-sm-6">	
						<?php if (isset($offer->img) && $offer->img): ?>
							<?php $img = wp_get_attachment_image_src($offer->img, 'full'); ?>
							<div class="left-inner">
								<div class="banner-img">
									<?php apus_themer_display_image($img); ?>
								</div>
							</div>
						<?php endif; ?>
					</div>
					<div class="col-xs-7 col-sm-6 p-static">	
						<div class="right-inner">
							<div class="content-inner">
								<?php if ($offer->price!=''): ?>
							        <div class="price">
							            <?php echo trim( $offer->price ); ?>
								    </div>
							    <?php endif; ?>
								<?php if ($offer->title!=''): ?>
							        <h3 class="title">
							        	<?php if ($offer->link!=''){?>
							        		<a href="<?php echo esc_attr($offer->link); ?>">
							        	<?php } ?>
							            	<?php echo trim( $offer->title ); ?>
							            <?php if ($offer->link!=''){?>
							        		</a>
							        	<?php } ?>
								    </h3>
							    <?php endif; ?>
							    <?php if ($offer->des!=''): ?>
							        <div class="des hidden-xs">
							            <?php echo trim( $offer->des ); ?>
								    </div>
							    <?php endif; ?>
							    <?php if ($offer->link!=''): ?>
							        <a class="btn btn-theme hidden-xs" href="<?php echo esc_attr($offer->link); ?>"><?php echo esc_html('Buy Now','butcher') ?></a>
							    <?php endif; ?>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<?php } ?>
	</div>
<?php endif; ?>