<?php

$atts  = array_merge( array(
	'title'  => '',
	'number'  => 8,
	'columns'	=> 4,
	'type'		=> 'recent_products',
	'categories'	=> '',
	'layout_type' => 'grid',
	'rows' => 1,
), $atts);
extract( $atts );

if ( empty($type) ) {
	return ;
}
$categories = apus_themer_multiple_fields_to_array_helper($categories);
$loop = apus_themer_get_products( $categories, $type, 1, $number );
?>
<div class="widget widget-<?php echo esc_attr($layout_type); ?> widget-products products">
	<?php if ($title!=''): ?>
		<h3 class="title">
		    <?php echo trim( $title ); ?>
		</h3>
	<?php endif; ?>
	<?php if ( $loop->have_posts() ) : ?>
		<div class="widget-content woocommerce">
			<div class="<?php echo esc_attr( $layout_type ); ?>-wrapper">
				<?php wc_get_template( 'layout-products/'.$layout_type.'.php' , array( 'loop' => $loop, 'rows' => $rows ,'columns' => $columns, 'product_item' => $item_style ) ); ?>
			</div>
		</div>
	<?php endif; ?>
	<?php if ($link_view!=''): ?>
		<div class="view-bottom text-center">
		    <a class="btn-theme btn" href="<?php echo esc_attr($link_view) ?>"><?php echo esc_html__('View all','butcher') ?></a>
		</div>
	<?php endif; ?>
</div>