<?php
    $thumbsize = isset($thumbsize) ? $thumbsize : apustheme_get_blog_thumbsize();
    $nb_word = isset($nb_word) ? $nb_word : 25;
?>
<article <?php post_class('post post-grid-2'); ?>>
    <?php
    $thumb = apustheme_display_post_thumb($thumbsize);
    echo trim($thumb);
    ?>
    <div class="entry-content <?php echo !empty($thumb) ? '' : 'no-thumb'; ?>">
        <div class="entry-meta">
            <div class="info">
                <div class="meta">
                    <a class="name-author" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>">
                        <i class="fa fa-tags text-theme" aria-hidden="true"></i><?php echo get_the_author(); ?>
                    </a>
                    <a href="<?php the_permalink(); ?>" class="date"><i class="fa fa-calendar text-theme" aria-hidden="true"></i><?php the_time( 'M d , Y' ); ?>  </a>
                </div>
                <?php if (get_the_title()) { ?>
                    <h4 class="entry-title">
                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                    </h4>
                <?php } ?>
            </div>
        </div>
        <?php if ( has_excerpt()) { ?>
            <div class="description"><?php echo apustheme_substring( get_the_excerpt(), 15, '...' ); ?></div>
        <?php } ?>
        <div class="info-bottom">
            <a class="readmore" href="<?php the_permalink(); ?>"><?php esc_html_e('Read More','butcher') ?></a>
        </div>
    </div>
</article>