<?php
    $post_format = get_post_format();
    $thumbsize = isset($thumbsize) ? $thumbsize : apustheme_get_blog_thumbsize();
    $nb_word = isset($nb_word) ? $nb_word : 50;
?>

<article <?php post_class('post post-list'); ?>>
    <div class="no-margin row">
        <?php
        $thumb = apustheme_display_post_thumb($thumbsize);
        ?>
        <div class="no-padding col-sm-<?php echo !empty($thumb) ? '6' : '12'; ?>">
            <div class="entry-content">
                <div class="meta">
                    <span class="entry-date"><?php the_time( 'M d ,Y' ); ?></span>
                </div>
                <?php if (get_the_title()) { ?>
                    <h4 class="entry-title">
                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                    </h4>
                <?php } ?>
                <div class="post-tag">
                    <i class="fa  fa-folder-o"></i>
                    <?php  apustheme_post_categories($post); ?>
                </div>
                <a class="btn btn-theme" href="<?php the_permalink(); ?>"><?php esc_html_e('VIEW MORE','butcher') ?></a>
            </div>
        </div>
        <?php
        if (!empty($thumb)) {
            ?>
            <div class="no-padding col-sm-6">
                <?php echo trim($thumb); ?>
            </div>
            <?php
        }
        ?>
    </div>
</article>