<?php
    $post_format = get_post_format();
    $thumbsize = 'butcher-blog-sm';
    $nb_word = isset($nb_word) ? $nb_word : 25;
?>
<article <?php post_class('post post-list2'); ?>>
    <div class="clearfix">
        <?php
        $thumb = apustheme_display_post_thumb($thumbsize);
        if (!empty($thumb)) {
            ?>
            <div class="wrapper-img">
                <?php echo trim($thumb); ?>
            </div>
            <?php
        }
        ?>
        <div class="info-content ">
            <?php
                if (get_the_title()) {
                ?>
                    <h4 class="entry-title">
                        <a href="<?php the_permalink(); ?>" class="text-theme"><?php the_title(); ?></a>
                    </h4>
                <?php
            }
            ?>
            <div class="date">
                <i class="fa fa-calendar-check-o" aria-hidden="true"></i><?php the_time( get_option('date_format', 'M d, Y') ); ?>
            </div>
        </div>
    </div>
</article>