<?php 
$atts  = array_merge( array(
	'title'	=> '',
	'subtitle' => '',
	'price' => '',
	'des' => '',
	'time' => ''
), $atts);
extract( $atts );

$time = strtotime( $input_datetime );
$js_folder = apustheme_get_js_folder();
wp_enqueue_script( 'countdown', $js_folder . '/countdown.js', array( 'jquery' ), '20150315', true );
?>
<div class="widget banner-countdown-widget <?php echo esc_attr($el_class); ?>">
	<div class="inner">
		<?php if( isset($subtitle) && $subtitle ) : ?>
		<div class="subtitle" ><?php echo trim($subtitle); ?></div>
		<?php endif; ?>	
		<?php if( isset($title) && $title ) : ?>
		<h3 class="title"><?php echo trim($title); ?></h3>
		<?php endif; ?>	
		<?php if( isset($price) && $price ) : ?>
		<div class="price" ><?php echo trim($price); ?></div>
		<?php endif; ?>	
		<div class="countdown-wrapper clearfix">
		    <div class="apus-countdown" data-time="timmer"
		         data-date="<?php echo date('m',$time).'-'.date('d',$time).'-'.date('Y',$time).'-'. date('H',$time) . '-' . date('i',$time) . '-' .  date('s',$time) ; ?>">
		    </div>
		</div>
		<?php if( isset($des) && $des ) : ?>
		<div class="des"><?php echo trim($des); ?></div>
		<?php endif; ?>	
		<?php if( isset($url) && $url ) : ?>
			<div class="link-shop">
				<a class="btn btn-theme radius-50" href="<?php echo esc_attr($url); ?>"><?php echo esc_html__('Shop now','butcher') ?></a>
			</div>
		<?php endif; ?>	
	</div>	
</div>