<?php
$atts  = array_merge( array(
	'columns'	=> 3,
), $atts);
extract( $atts );

$bcol = 12/$columns;
if ($columns == 5) {
	$bcol = 'cus-5';
}
if ( !empty($saleofs) && is_array($saleofs) ):
?>
	<div class="widget widget-banner-sale">
		<div class="left-inner">
			<?php if ($title!=''): ?>
				<h3 class="title">
				    <?php echo trim( $title ); ?>
				</h3>
			<?php endif; ?>
			<?php if (isset($des) && $des): ?>
				<div class="des"><?php echo trim($des); ?></div>
			<?php endif; ?>
		</div>
		<div class="right-inner">
			<div class="owl-carousel" data-items="<?php echo esc_attr($columns); ?>" data-verysmall="1" data-carousel="owl" data-pagination="true" data-nav="true">
	    		<?php foreach ($saleofs as $saleof) { ?>
	    			<div class="item">
	    				<div class="banner-sale-item">
	    					<?php if(!empty($saleof->link)) {?>
	    						<a href="<?php echo esc_attr($saleof->link); ?>">
	    					<?php } ?>
		    					<?php if (isset($saleof->img) && $saleof->img): ?>
									<?php $img = wp_get_attachment_image_src($saleof->img, 'full'); ?>
									<div class="banner-img">
										<?php apus_themer_display_image($img); ?>
									</div>
								<?php endif; ?>
								<?php if(!empty($saleof->percent)) {?>
									<div class="percent"> <?php echo trim($saleof->percent); ?></div>
								<?php } ?>
								<?php if(!empty($saleof->title)) {?>
									<div class="bottom-inner">
										<h3 class="name"> <?php echo trim($saleof->title); ?></h3>
									</div>
								<?php } ?>
							<?php if(!empty($saleof->link)) {?>
	    						</a>
	    					<?php } ?>
	    				</div>
	    			</div>
	    		<?php } ?>
			</div>
		</div>
	</div>
<?php endif; ?>