<?php
$atts  = array_merge( array(
	'columns'	=> 3,
), $atts);
extract( $atts );

$bcol = 12/$columns;
if ($columns == 5) {
	$bcol = 'cus-5';
}
if ( !empty($team) && is_array($team) ):
?>
	<div class="widget widget-teams">
		<div class="owl-carousel" data-items="<?php echo esc_attr($columns); ?>" data-verysmall="1" data-carousel="owl" data-pagination="true" data-nav="false">
    		<?php foreach ($team as $teamitem) { ?>
    			<div class="item">
    				<div class="team-item">
    					<?php if (isset($teamitem->map_image_hover) && $teamitem->map_image_hover): ?>
							<?php $img = wp_get_attachment_image_src($teamitem->map_image_hover, 'full'); ?>
							<div class="banner-img">
								<?php apus_themer_display_image($img); ?>
							</div>
						<?php endif; ?>
						<div class="social">
							<?php if(!empty($teamitem->link_face)) {?>
								<a href="<?php echo esc_attr($teamitem->link_face); ?>"> <i class="fa fa-facebook"></i></a>
							<?php } ?>
							<?php if(!empty($teamitem->link_tw)) {?>
								<a href="<?php echo esc_attr($teamitem->link_tw); ?>"> <i class="fa fa-twitter"></i></a>
							<?php } ?>
							<?php if(!empty($teamitem->link_go)) {?>
								<a href="<?php echo esc_attr($teamitem->link_go); ?>"> <i class="fa fa-google-plus"></i></a>
							<?php } ?>
							<?php if(!empty($teamitem->link_pi)) {?>
								<a href="<?php echo esc_attr($teamitem->link_pi); ?>"> <i class="fa fa-pinterest-p"></i></a>
							<?php } ?>
						</div>
						<div class="content-inner">
							<h3 class="name"> <?php echo trim($teamitem->name_item); ?></h3>
					        <div class="job"><?php echo trim($teamitem->job); ?></div>
						</div>
    				</div>
    			</div>
    		<?php } ?>
		</div>
	</div>
<?php endif; ?>