<?php
    $thumbsize = isset($thumbsize) ? $thumbsize : apustheme_get_blog_thumbsize();
    $nb_word = isset($nb_word) ? $nb_word : 25;
?>

<article <?php post_class('post post-grid'); ?>>
    <?php
    $thumb = apustheme_display_post_thumb($thumbsize);
    echo trim($thumb);
    ?>
    <div class="entry-content <?php echo !empty($thumb) ? '' : 'no-thumb'; ?>">
        <div class="entry-meta">
            <div class="info">
                <div class="meta">
                    <a href="<?php the_permalink(); ?>" class="date"><?php the_time( 'M d , Y' ); ?>  </a>
                </div>
                <?php if (get_the_title()) { ?>
                    <h4 class="entry-title">
                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                    </h4>
                <?php } ?>
            </div>
        </div>
        <div class="info-bottom">
            <a class="btn btn-outline btn-theme" href="<?php the_permalink(); ?>"><?php esc_html_e('READ MORE','butcher') ?></a>
        </div>
    </div>
</article>