<?php
$product_item = isset($product_item) ? $product_item : 'inner';
$columns = isset($columns) ? $columns : 4;
$rows = !empty($rows) ? $rows : 1;

?>
<div class="owl-carousel owl-carousel-top" data-items="<?php echo esc_attr($columns); ?>" data-carousel="owl" <?php echo ($columns>1 ? 'data-smallmedium="2" data-extrasmall="1" ' : 'data-smallmedium="1" data-extrasmall="1" '); ?> data-pagination="false" data-nav="true">
    <?php $count = 0; while ( $loop->have_posts() ): $loop->the_post(); global $product; ?>
    	<?php if ( $count%$rows == 0 ) { ?>
        	<div class="item">
    	<?php } ?>
            <div class="products-grid product">
                <?php wc_get_template_part( 'item-product/'.$product_item ); ?>
            </div>
        <?php
        if ( $count%$rows == ($rows - 1) || $count == ($loop->post_count - 1) ) { ?>
        	</div>
    	<?php } ?>
    <?php $count++; endwhile; ?>
</div> 
<?php wp_reset_postdata(); ?>